
package jp.gr.java_conf.u6k.andro_memo.util;

import java.util.Calendar;
import java.util.Date;
import java.util.TimeZone;

public final class DateUtil {

    private DateUtil() {
        throw new UnsupportedOperationException();
    }

    public static TimeZone getUserTimeZone() {
        // TODO(u6k) ちゃんとユーザーのタイムゾーンを取得するように修正する。方法は分からないけど。
        return TimeZone.getTimeZone("Asia/Tokyo");
    }

    public static Date getNow(TimeZone tz) {
        Calendar c = Calendar.getInstance(tz);

        return c.getTime();
    }

}
