<%@ page session="true"
         contentType="text/html; charset=UTF-8"
         pageEncoding="UTF-8"
         isELIgnored="false" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <title>マイページ | AndroMemo</title>
    </head>
    <body>
        <h1>AndroMemo</h1>
        <p>
            <a href="${contextPath}/html/user/myPage.servlet">マイページ</a>&nbsp;&nbsp;
            <a href="${contextPath}/html/user/editMemo.servlet">新規メモ</a>&nbsp;&nbsp;
            <a href="${contextPath}/html/user/logout.servlet">ログアウト</a>&nbsp;&nbsp;
            ${email}&nbsp;さん
        </p>
        <hr>
        <h2>マイページ</h2>
        <p>${fn:length(memoList)}件のメモ</p>
        <table>
            <tr>
                <th>タイトル</th>
                <th>更新時刻</th>
            </tr>
            <c:forEach items="${memoList}" var="memo">
            <tr>
                <td><a href="${contextPath}/html/user/editMemo.servlet?key=${memo.key}">${memo.title}</a></td>
                <td><fmt:formatDate value="${memo.updateDatetime}" pattern="yyyy/MM/dd HH:mm:ss" /></td>
            </tr>
            </c:forEach>
        </table>
    </body>
</html>
