
package jp.gr.java_conf.u6k.andro_memo.web.servlet.html.user;

import java.io.IOException;

import javax.jdo.PersistenceManager;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

import jp.gr.java_conf.u6k.andro_memo.entity.PMF;
import jp.gr.java_conf.u6k.andro_memo.model.UserModel;

@SuppressWarnings("serial")
public class LogoutServlet extends HttpServlet {

    @Override
    protected void doGet(HttpServletRequest req, HttpServletResponse resp) throws ServletException, IOException {
        PersistenceManager pm = PMF.get().getPersistenceManager();
        try {
            HttpSession session = req.getSession();

            String loginTicketKey = (String) session.getAttribute("login.loginTicketKey");

            UserModel userModel = new UserModel(pm);
            userModel.logout(loginTicketKey);

            req.getRequestDispatcher("/html/index.jsp").forward(req, resp);
        } finally {
            pm.close();
        }
    }

}
