
package jp.gr.java_conf.u6k.andro_memo.util;

import java.util.Date;
import java.util.TimeZone;

import org.junit.Assert;
import org.junit.Test;

public class DateUtilTest {

    @Test
    public void getUserTimeZone() {
        TimeZone tz = DateUtil.getUserTimeZone();

        Assert.assertEquals("Asia/Tokyo", tz.getID());
    }

    @Test
    public void getNow() {
        TimeZone tz = DateUtil.getUserTimeZone();
        Date a = DateUtil.getNow(tz);
        Date b = new Date();

        Assert.assertTrue(Math.abs(a.getTime() - b.getTime()) < 100);
    }

}
