<%@ page session="true"
         contentType="text/html; charset=UTF-8"
         pageEncoding="UTF-8"
         isELIgnored="false" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <title>会員登録 | AndroMemo</title>
    </head>
    <body>
        <h1>AndroMemo</h1>
        <p>
            <a href="${contextPath}/html/index.jsp">ホーム</a>
        </p>
        <hr>
        <h2>会員登録</h2>
        <p>会員登録を完了するため、以下の情報を入力してください。</p>
        <form action="${contextPath}/html/regist.servlet" method="POST">
            <table border="0">
                <c:if test="${!empty message}">
                <tr>
                    <td colspan="2">${message}</td>
                </tr>
                </c:if>
                <tr>
                    <th>メールアドレス</th>
                    <td>${email}</td>
                </tr>
                <tr>
                    <th>パスワード</th>
                    <td><input type="password" name="password1" value="${password1}"></td>
                </tr>
                <tr>
                    <th>もう一度</th>
                    <td><input type="password" name="password2" value="${password2}"></td>
                </tr>
                <tr>
                    <td colspan="2"><input type="submit" value="登録する"></td>
                </tr>
            </table>
        </form>
    </body>
</html>
