<%@ page session="true"
         contentType="text/html; charset=UTF-8"
         pageEncoding="UTF-8"
         isELIgnored="false" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <title>メモ編集 | AndroMemo</title>
    </head>
    <body>
        <h1>AndroMemo</h1>
        <p>
            <a href="${contextPath}/html/user/myPage.servlet">マイページ</a>&nbsp;&nbsp;
            <a href="${contextPath}/html/user/editMemo.servlet">新規メモ</a>&nbsp;&nbsp;
            <a href="${contextPath}/html/user/logout.servlet">ログアウト</a>&nbsp;&nbsp;
            ${email}&nbsp;さん
        </p>
        <hr>
        <h2>メモ編集</h2>
        <form action="${contextPath}/html/user/editMemo.servlet" method="post">
            <table>
                <tr>
                    <th>タイトル</th>
                    <td><input type="text" name="title" value="${title}"></td>
                </tr>
                <tr>
                    <th>メモ内容</th>
                    <td><textarea name="content">${content}</textarea></td>
                </tr>
                <tr>
                    <th>更新時刻</th>
                    <td><fmt:formatDate value="${updateDatetime}" pattern="yyyy/MM/dd HH:mm:ss" /></td>
                </tr>
                <tr>
                    <td colspan="2"><input type="submit" name="command" value="保存">&nbsp;&nbsp;<input type="submit" name="command" value="削除">&nbsp;&nbsp;<input type="submit" name="command" value="キャンセル"></td>
                </tr>
            </table>
        </form>
    </body>
</html>
